Bug 189329 - Switching with F-Keys restarts X11-server
Switching with F-Keys restarts X11-server
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-19 03:51 EDT by Michael Loeblich
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 09:31:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Loeblich 2006-04-19 03:51:28 EDT
Description of problem:
FC5 with X11 runs normal on my Dell Inspiron 500m Laptop. But using the keys
<Alt><Strg><F1> and then <Strg><F7> to switching between screens causes X11
server restart. 

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-1.4.1.3-3.1, xorg-x11-server-Xorg-1.0.1-9.fc5

How reproducible:
every time

Steps to Reproduce:
1.Start up FC5 with normal Gnome-Login
2.press <Alt><Strg><F1> (X11 teminates on sig 11 according to log)
3.press <Strg><F7> (X11 restarts)
  
Actual results:


Expected results:


Additional info:
tail of /var/log/Xorg.0.log.old attached:
(WW) I810(0): Successfully set original devices
(WW) I810(0): Setting the original video mode instead of restoring
        the saved state
(WW) I810(0): Extended BIOS function 0x5f05 failed.
(II) I810(0): BIOS call 0x5f05 not supported, setting refresh with VBE 3 method.
(II) I810(0): xf86UnbindGARTMemory: unbind key 7
(II) I810(0): xf86UnbindGARTMemory: unbind key 0
(II) I810(0): xf86UnbindGARTMemory: unbind key 1
(II) I810(0): xf86UnbindGARTMemory: unbind key 3
(II) I810(0): xf86UnbindGARTMemory: unbind key 2
(II) I810(0): xf86UnbindGARTMemory: unbind key 4
(II) I810(0): xf86UnbindGARTMemory: unbind key 5
(II) I810(0): xf86UnbindGARTMemory: unbind key 6
(WW) I810(0): Successfully set original devices (2)
(II) I810(0): Detected resume, re-POSTing.
(II) I810(0): Primary V_BIOS segment is: 0xc000
(II) I810(0): Re-POSTing via int10.
(II) I810(0): xf86BindGARTMemory: bind key 7 at 0x000df000 (pgoffset 223)
(II) I810(0): xf86BindGARTMemory: bind key 0 at 0x07fff000 (pgoffset 32767)
(II) I810(0): xf86BindGARTMemory: bind key 1 at 0x07ffb000 (pgoffset 32763)
(II) I810(0): xf86BindGARTMemory: bind key 3 at 0x07fea000 (pgoffset 32746)
(II) I810(0): xf86BindGARTMemory: bind key 2 at 0x07ffa000 (pgoffset 32762)
(II) I810(0): xf86BindGARTMemory: bind key 4 at 0x07800000 (pgoffset 30720)
(II) I810(0): xf86BindGARTMemory: bind key 5 at 0x07400000 (pgoffset 29696)
(II) I810(0): xf86BindGARTMemory: bind key 6 at 0x073f8000 (pgoffset 29688)

   *** If unresolved symbols were reported above, they might not
   *** be the reason for the server aborting.

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x87) [0x80b86c7]
1: [0xa82420]
2: /usr/lib/xorg/modules/drivers/i810_drv.so [0x1e9be4]
3: /usr/lib/xorg/modules/drivers/i810_drv.so [0x1ebf02]
4: /usr/lib/xorg/modules/libxaa.so [0xf33df2]
5: /usr/lib/xorg/modules/libramdac.so [0x9030fb]
6: /usr/bin/Xorg [0x80bfcfc]
7: /usr/bin/Xorg [0x80cc0f4]
8: /usr/bin/Xorg(xf86Wakeup+0x363) [0x80b9ae3]
9: /usr/bin/Xorg(WakeupHandler+0x59) [0x808c9c9]
10: /usr/bin/Xorg(WaitForSomething+0x1b9) [0x81a8059]
11: /usr/bin/Xorg(Dispatch+0x8d) [0x80887dd]
12: /usr/bin/Xorg(main+0x487) [0x80701d7]
13: /lib/libc.so.6(__libc_start_main+0xdc) [0xab57e4]
14: /usr/bin/Xorg(FontFileCompleteXLFD+0xb1) [0x806f511]

Fatal server error:
Caught signal 11.  Server aborting

(WW) I810(0): Successfully set original devices
(WW) I810(0): Setting the original video mode instead of restoring
        the saved state
(WW) I810(0): Extended BIOS function 0x5f05 failed.
(II) I810(0): BIOS call 0x5f05 not supported, setting refresh with VBE 3 method.
(II) I810(0): xf86UnbindGARTMemory: unbind key 7
(II) I810(0): xf86UnbindGARTMemory: unbind key 0
(II) I810(0): xf86UnbindGARTMemory: unbind key 1
(II) I810(0): xf86UnbindGARTMemory: unbind key 3
(II) I810(0): xf86UnbindGARTMemory: unbind key 2
(II) I810(0): xf86UnbindGARTMemory: unbind key 4
(II) I810(0): xf86UnbindGARTMemory: unbind key 5
(II) I810(0): xf86UnbindGARTMemory: unbind key 6
(WW) I810(0): Successfully set original devices (2)
Comment 1 Mike A. Harris 2006-05-23 09:04:27 EDT
Install all of the debuginfo packages for the video driver, and other modules,
and attach a complete backtrace.
Comment 3 Matěj Cepl 2007-07-03 09:51:53 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Matěj Cepl 2007-08-03 09:31:57 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.